package com.tzld.piaoquan.api.model.po;

import com.tzld.piaoquan.growth.common.utils.page.Page;

import java.util.ArrayList;
import java.util.List;

public class AutoReplyMsgSendRecordExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    protected Page page;

    public AutoReplyMsgSendRecordExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setPage(Page page) {
        this.page=page;
    }

    public Page getPage() {
        return page;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andMsgIdIsNull() {
            addCriterion("msg_id is null");
            return (Criteria) this;
        }

        public Criteria andMsgIdIsNotNull() {
            addCriterion("msg_id is not null");
            return (Criteria) this;
        }

        public Criteria andMsgIdEqualTo(Long value) {
            addCriterion("msg_id =", value, "msgId");
            return (Criteria) this;
        }

        public Criteria andMsgIdNotEqualTo(Long value) {
            addCriterion("msg_id <>", value, "msgId");
            return (Criteria) this;
        }

        public Criteria andMsgIdGreaterThan(Long value) {
            addCriterion("msg_id >", value, "msgId");
            return (Criteria) this;
        }

        public Criteria andMsgIdGreaterThanOrEqualTo(Long value) {
            addCriterion("msg_id >=", value, "msgId");
            return (Criteria) this;
        }

        public Criteria andMsgIdLessThan(Long value) {
            addCriterion("msg_id <", value, "msgId");
            return (Criteria) this;
        }

        public Criteria andMsgIdLessThanOrEqualTo(Long value) {
            addCriterion("msg_id <=", value, "msgId");
            return (Criteria) this;
        }

        public Criteria andMsgIdIn(List<Long> values) {
            addCriterion("msg_id in", values, "msgId");
            return (Criteria) this;
        }

        public Criteria andMsgIdNotIn(List<Long> values) {
            addCriterion("msg_id not in", values, "msgId");
            return (Criteria) this;
        }

        public Criteria andMsgIdBetween(Long value1, Long value2) {
            addCriterion("msg_id between", value1, value2, "msgId");
            return (Criteria) this;
        }

        public Criteria andMsgIdNotBetween(Long value1, Long value2) {
            addCriterion("msg_id not between", value1, value2, "msgId");
            return (Criteria) this;
        }

        public Criteria andMsgTypeIsNull() {
            addCriterion("msg_type is null");
            return (Criteria) this;
        }

        public Criteria andMsgTypeIsNotNull() {
            addCriterion("msg_type is not null");
            return (Criteria) this;
        }

        public Criteria andMsgTypeEqualTo(Integer value) {
            addCriterion("msg_type =", value, "msgType");
            return (Criteria) this;
        }

        public Criteria andMsgTypeNotEqualTo(Integer value) {
            addCriterion("msg_type <>", value, "msgType");
            return (Criteria) this;
        }

        public Criteria andMsgTypeGreaterThan(Integer value) {
            addCriterion("msg_type >", value, "msgType");
            return (Criteria) this;
        }

        public Criteria andMsgTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("msg_type >=", value, "msgType");
            return (Criteria) this;
        }

        public Criteria andMsgTypeLessThan(Integer value) {
            addCriterion("msg_type <", value, "msgType");
            return (Criteria) this;
        }

        public Criteria andMsgTypeLessThanOrEqualTo(Integer value) {
            addCriterion("msg_type <=", value, "msgType");
            return (Criteria) this;
        }

        public Criteria andMsgTypeIn(List<Integer> values) {
            addCriterion("msg_type in", values, "msgType");
            return (Criteria) this;
        }

        public Criteria andMsgTypeNotIn(List<Integer> values) {
            addCriterion("msg_type not in", values, "msgType");
            return (Criteria) this;
        }

        public Criteria andMsgTypeBetween(Integer value1, Integer value2) {
            addCriterion("msg_type between", value1, value2, "msgType");
            return (Criteria) this;
        }

        public Criteria andMsgTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("msg_type not between", value1, value2, "msgType");
            return (Criteria) this;
        }

        public Criteria andCorpIdIsNull() {
            addCriterion("corp_id is null");
            return (Criteria) this;
        }

        public Criteria andCorpIdIsNotNull() {
            addCriterion("corp_id is not null");
            return (Criteria) this;
        }

        public Criteria andCorpIdEqualTo(String value) {
            addCriterion("corp_id =", value, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdNotEqualTo(String value) {
            addCriterion("corp_id <>", value, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdGreaterThan(String value) {
            addCriterion("corp_id >", value, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdGreaterThanOrEqualTo(String value) {
            addCriterion("corp_id >=", value, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdLessThan(String value) {
            addCriterion("corp_id <", value, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdLessThanOrEqualTo(String value) {
            addCriterion("corp_id <=", value, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdLike(String value) {
            addCriterion("corp_id like", value, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdNotLike(String value) {
            addCriterion("corp_id not like", value, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdIn(List<String> values) {
            addCriterion("corp_id in", values, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdNotIn(List<String> values) {
            addCriterion("corp_id not in", values, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdBetween(String value1, String value2) {
            addCriterion("corp_id between", value1, value2, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdNotBetween(String value1, String value2) {
            addCriterion("corp_id not between", value1, value2, "corpId");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNull() {
            addCriterion("user_id is null");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNotNull() {
            addCriterion("user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUserIdEqualTo(String value) {
            addCriterion("user_id =", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotEqualTo(String value) {
            addCriterion("user_id <>", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThan(String value) {
            addCriterion("user_id >", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("user_id >=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThan(String value) {
            addCriterion("user_id <", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThanOrEqualTo(String value) {
            addCriterion("user_id <=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLike(String value) {
            addCriterion("user_id like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotLike(String value) {
            addCriterion("user_id not like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdIn(List<String> values) {
            addCriterion("user_id in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotIn(List<String> values) {
            addCriterion("user_id not in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdBetween(String value1, String value2) {
            addCriterion("user_id between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotBetween(String value1, String value2) {
            addCriterion("user_id not between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andGroupIdIsNull() {
            addCriterion("group_id is null");
            return (Criteria) this;
        }

        public Criteria andGroupIdIsNotNull() {
            addCriterion("group_id is not null");
            return (Criteria) this;
        }

        public Criteria andGroupIdEqualTo(String value) {
            addCriterion("group_id =", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdNotEqualTo(String value) {
            addCriterion("group_id <>", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdGreaterThan(String value) {
            addCriterion("group_id >", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdGreaterThanOrEqualTo(String value) {
            addCriterion("group_id >=", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdLessThan(String value) {
            addCriterion("group_id <", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdLessThanOrEqualTo(String value) {
            addCriterion("group_id <=", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdLike(String value) {
            addCriterion("group_id like", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdNotLike(String value) {
            addCriterion("group_id not like", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdIn(List<String> values) {
            addCriterion("group_id in", values, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdNotIn(List<String> values) {
            addCriterion("group_id not in", values, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdBetween(String value1, String value2) {
            addCriterion("group_id between", value1, value2, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdNotBetween(String value1, String value2) {
            addCriterion("group_id not between", value1, value2, "groupId");
            return (Criteria) this;
        }

        public Criteria andExternalUserIdIsNull() {
            addCriterion("external_user_id is null");
            return (Criteria) this;
        }

        public Criteria andExternalUserIdIsNotNull() {
            addCriterion("external_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andExternalUserIdEqualTo(String value) {
            addCriterion("external_user_id =", value, "externalUserId");
            return (Criteria) this;
        }

        public Criteria andExternalUserIdNotEqualTo(String value) {
            addCriterion("external_user_id <>", value, "externalUserId");
            return (Criteria) this;
        }

        public Criteria andExternalUserIdGreaterThan(String value) {
            addCriterion("external_user_id >", value, "externalUserId");
            return (Criteria) this;
        }

        public Criteria andExternalUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("external_user_id >=", value, "externalUserId");
            return (Criteria) this;
        }

        public Criteria andExternalUserIdLessThan(String value) {
            addCriterion("external_user_id <", value, "externalUserId");
            return (Criteria) this;
        }

        public Criteria andExternalUserIdLessThanOrEqualTo(String value) {
            addCriterion("external_user_id <=", value, "externalUserId");
            return (Criteria) this;
        }

        public Criteria andExternalUserIdLike(String value) {
            addCriterion("external_user_id like", value, "externalUserId");
            return (Criteria) this;
        }

        public Criteria andExternalUserIdNotLike(String value) {
            addCriterion("external_user_id not like", value, "externalUserId");
            return (Criteria) this;
        }

        public Criteria andExternalUserIdIn(List<String> values) {
            addCriterion("external_user_id in", values, "externalUserId");
            return (Criteria) this;
        }

        public Criteria andExternalUserIdNotIn(List<String> values) {
            addCriterion("external_user_id not in", values, "externalUserId");
            return (Criteria) this;
        }

        public Criteria andExternalUserIdBetween(String value1, String value2) {
            addCriterion("external_user_id between", value1, value2, "externalUserId");
            return (Criteria) this;
        }

        public Criteria andExternalUserIdNotBetween(String value1, String value2) {
            addCriterion("external_user_id not between", value1, value2, "externalUserId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdIsNull() {
            addCriterion("mini_video_id is null");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdIsNotNull() {
            addCriterion("mini_video_id is not null");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdEqualTo(Long value) {
            addCriterion("mini_video_id =", value, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdNotEqualTo(Long value) {
            addCriterion("mini_video_id <>", value, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdGreaterThan(Long value) {
            addCriterion("mini_video_id >", value, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdGreaterThanOrEqualTo(Long value) {
            addCriterion("mini_video_id >=", value, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdLessThan(Long value) {
            addCriterion("mini_video_id <", value, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdLessThanOrEqualTo(Long value) {
            addCriterion("mini_video_id <=", value, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdIn(List<Long> values) {
            addCriterion("mini_video_id in", values, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdNotIn(List<Long> values) {
            addCriterion("mini_video_id not in", values, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdBetween(Long value1, Long value2) {
            addCriterion("mini_video_id between", value1, value2, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdNotBetween(Long value1, Long value2) {
            addCriterion("mini_video_id not between", value1, value2, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdIsNull() {
            addCriterion("news_publish_content_id is null");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdIsNotNull() {
            addCriterion("news_publish_content_id is not null");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdEqualTo(String value) {
            addCriterion("news_publish_content_id =", value, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdNotEqualTo(String value) {
            addCriterion("news_publish_content_id <>", value, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdGreaterThan(String value) {
            addCriterion("news_publish_content_id >", value, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdGreaterThanOrEqualTo(String value) {
            addCriterion("news_publish_content_id >=", value, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdLessThan(String value) {
            addCriterion("news_publish_content_id <", value, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdLessThanOrEqualTo(String value) {
            addCriterion("news_publish_content_id <=", value, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdLike(String value) {
            addCriterion("news_publish_content_id like", value, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdNotLike(String value) {
            addCriterion("news_publish_content_id not like", value, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdIn(List<String> values) {
            addCriterion("news_publish_content_id in", values, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdNotIn(List<String> values) {
            addCriterion("news_publish_content_id not in", values, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdBetween(String value1, String value2) {
            addCriterion("news_publish_content_id between", value1, value2, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdNotBetween(String value1, String value2) {
            addCriterion("news_publish_content_id not between", value1, value2, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andErrorMsgIsNull() {
            addCriterion("error_msg is null");
            return (Criteria) this;
        }

        public Criteria andErrorMsgIsNotNull() {
            addCriterion("error_msg is not null");
            return (Criteria) this;
        }

        public Criteria andErrorMsgEqualTo(String value) {
            addCriterion("error_msg =", value, "errorMsg");
            return (Criteria) this;
        }

        public Criteria andErrorMsgNotEqualTo(String value) {
            addCriterion("error_msg <>", value, "errorMsg");
            return (Criteria) this;
        }

        public Criteria andErrorMsgGreaterThan(String value) {
            addCriterion("error_msg >", value, "errorMsg");
            return (Criteria) this;
        }

        public Criteria andErrorMsgGreaterThanOrEqualTo(String value) {
            addCriterion("error_msg >=", value, "errorMsg");
            return (Criteria) this;
        }

        public Criteria andErrorMsgLessThan(String value) {
            addCriterion("error_msg <", value, "errorMsg");
            return (Criteria) this;
        }

        public Criteria andErrorMsgLessThanOrEqualTo(String value) {
            addCriterion("error_msg <=", value, "errorMsg");
            return (Criteria) this;
        }

        public Criteria andErrorMsgLike(String value) {
            addCriterion("error_msg like", value, "errorMsg");
            return (Criteria) this;
        }

        public Criteria andErrorMsgNotLike(String value) {
            addCriterion("error_msg not like", value, "errorMsg");
            return (Criteria) this;
        }

        public Criteria andErrorMsgIn(List<String> values) {
            addCriterion("error_msg in", values, "errorMsg");
            return (Criteria) this;
        }

        public Criteria andErrorMsgNotIn(List<String> values) {
            addCriterion("error_msg not in", values, "errorMsg");
            return (Criteria) this;
        }

        public Criteria andErrorMsgBetween(String value1, String value2) {
            addCriterion("error_msg between", value1, value2, "errorMsg");
            return (Criteria) this;
        }

        public Criteria andErrorMsgNotBetween(String value1, String value2) {
            addCriterion("error_msg not between", value1, value2, "errorMsg");
            return (Criteria) this;
        }

        public Criteria andSendTimestampIsNull() {
            addCriterion("send_timestamp is null");
            return (Criteria) this;
        }

        public Criteria andSendTimestampIsNotNull() {
            addCriterion("send_timestamp is not null");
            return (Criteria) this;
        }

        public Criteria andSendTimestampEqualTo(Long value) {
            addCriterion("send_timestamp =", value, "sendTimestamp");
            return (Criteria) this;
        }

        public Criteria andSendTimestampNotEqualTo(Long value) {
            addCriterion("send_timestamp <>", value, "sendTimestamp");
            return (Criteria) this;
        }

        public Criteria andSendTimestampGreaterThan(Long value) {
            addCriterion("send_timestamp >", value, "sendTimestamp");
            return (Criteria) this;
        }

        public Criteria andSendTimestampGreaterThanOrEqualTo(Long value) {
            addCriterion("send_timestamp >=", value, "sendTimestamp");
            return (Criteria) this;
        }

        public Criteria andSendTimestampLessThan(Long value) {
            addCriterion("send_timestamp <", value, "sendTimestamp");
            return (Criteria) this;
        }

        public Criteria andSendTimestampLessThanOrEqualTo(Long value) {
            addCriterion("send_timestamp <=", value, "sendTimestamp");
            return (Criteria) this;
        }

        public Criteria andSendTimestampIn(List<Long> values) {
            addCriterion("send_timestamp in", values, "sendTimestamp");
            return (Criteria) this;
        }

        public Criteria andSendTimestampNotIn(List<Long> values) {
            addCriterion("send_timestamp not in", values, "sendTimestamp");
            return (Criteria) this;
        }

        public Criteria andSendTimestampBetween(Long value1, Long value2) {
            addCriterion("send_timestamp between", value1, value2, "sendTimestamp");
            return (Criteria) this;
        }

        public Criteria andSendTimestampNotBetween(Long value1, Long value2) {
            addCriterion("send_timestamp not between", value1, value2, "sendTimestamp");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}